using NexusReader.Domain.Enums;

namespace NexusReader.UI.Shared.Services;

public interface IThemeService
{
    ThemeMode Mode { get; }
    bool IsLightMode { get; }
    event Action<ThemeMode>? OnThemeChanged;
    
    Task InitializeAsync();
    Task SetThemeAsync(ThemeMode mode);
    Task ToggleTheme();
}
